'''
Standard Atmosphere Model

This subpackage defines the following functions:

expo.py
    expo - Estimate the air densities at given geometric or geopotential altitudes 
           above the sea level using a exponential atmosphere model.
ussa76.py
    lapse_tp - Calculate the temperature and pressure at a given geopotential altitude above base of a specific layer.
    ussa76 - Implements the U.S. Standard Atmosphere 1976(USSA76) up to 86km. 

coesa76.py 
    coesa76 - Implements the U.S. Committee on Extension to the Standard Atmosphere(COESA 1976) up to 1000km. 
'''              